Bug 77229 - Bluecurve KDE icon theme missing many 32x32 icons
Bluecurve KDE icon theme missing many 32x32 icons
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2002-11-03 15:03 EST by Rich Renomeron
Modified: 2007-04-18 12:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-05 13:28:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Renomeron 2002-11-03 15:04:00 EST
Description of Problem:
Many Bluecurve-style icons (especially for mimetypes and filesystems) do not
appear when the icon size is set to "Medium" (32x32) in Konqueror when using the
Bluecurve theme.  For filesystems, it appears that several icons have been
replaced with the KDE defaults.  For mimetypes, the icons appear to be there,
but they are all named gnome-$MIMETYPE.png, which is not what KDE expects by
default.  It is possible for the user to go and change icons for all the
mimetypes, but it's much more convenient for the user to just change the
filenames to match what KDE expects.

Version-Release number of selected component (if applicable):
redhat-artwork-0.47-3

How Reproducible:
Always

Steps to Reproduce:
1. Log in to KDE with no .kde directory
2. Open a Konqueror window, navigate to a suitable directory
3.
 
Actual Results:
KDE standard icons appear instead of Bluecurve icons for several non-default
folder icons (e.g. folder_tar, folder_txt), and mimetypes (PDF files, HTML
files, text files).


Expected Results:
Bluecurve-style icons should appear.

Additional Information:
Comment 1 Havoc Pennington 2002-11-03 16:00:58 EST
I have code in redhat-artwork now that will automatically scale all icons to all
sizes; this should take effect on next redhat-artwork build.
Comment 2 Rich Renomeron 2002-11-06 23:08:25 EST
Will there be an errata for this, or will it have to wait for 8.1?
Comment 3 Havoc Pennington 2002-11-06 23:29:48 EST
I don't expect an errata as it's purely cosmetic. 
There might be an errata if there were other issues with redhat-artwork.
Comment 4 Havoc Pennington 2003-01-08 17:32:33 EST
Than, Alex removed the autoscaling code on the premise that KDE would now 
scale the icons following the icon spec. Can you verify; if KDE does not scale 
the icons, we need to put the autoscaling code back, please assign bug to 
Alex if we need to do that.
Comment 5 Alexander Larsson 2003-01-16 05:59:00 EST
I put a patch that fixes the autoscaling at
http://bugs.kde.org/show_bug.cgi?id=53052     
Comment 6 Alexander Larsson 2003-01-21 08:27:30 EST
I think the patch is in our kdelibs now, so i guess we should remove all
pre-scaled icons from redhat-artwork.
Comment 7 Ngo Than 2003-02-05 06:12:35 EST
Alex, it seems that your patch does not scale the icons if i removed
kdelibs-3.1-resize-icons.patch. So i have to put autoscaling code back.

Could you please take a look here. I assign it to you ;-)
Comment 8 Alexander Larsson 2003-02-05 08:18:19 EST
Yeah, that is expected, so to say. What my patch does is pick the right icon
size to use. It doesn't actually scale it, that is done by the auto-scale code
(which i actually didn't know was from one of our patches).

So, without my patch if you ask for an icon "foo" at 32x32 and it only exists at
16x16 you will get the fallback icon which is then scaled by the auto-scale
code. With my patch you will get the 16x16 foo icon which is then scaled up by
the auto-scale code.
Comment 9 Ngo Than 2003-02-05 13:28:12 EST
it's fixed in redhat-artworks-0.63-1/kdelibs-3.1-2/kdebase-3.1-2.

Note You need to log in before you can comment on or make changes to this bug.